POST user/get-users-by-id

Get the data a user by user id

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

Body Parameters

NameDescriptionTypeAdditional information
listaIds

List Ids Users

List`1

Required

Request Formats

application/json, text/json

Sample:
[
  "3c862d66-73f2-49c8-9d4a-9c4d9bb984c0",
  "44afaaa9-2602-4571-a8ba-a0e0e1d7e486"
]

Response Information

Resource Description

DescriptionType

User data that has been requested

Dictionary`2

Response Formats

application/json, text/json

Sample:
{
  "3d3b4ad5-2ce8-4c21-aafc-2c37579dc575": {
    "name": "sample string 1",
    "last_name": "sample string 2",
    "user_short_name": "sample string 3",
    "image": "sample string 4",
    "born_date": "2026-04-28T13:03:47.7728705+02:00"
  },
  "1e61310f-2814-406f-b0c1-5cec9f1eb42c": {
    "name": "sample string 1",
    "last_name": "sample string 2",
    "user_short_name": "sample string 3",
    "image": "sample string 4",
    "born_date": "2026-04-28T13:03:47.7728705+02:00"
  }
}

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...